Bug 1317202 - [Gtk 3.20] firefox prints hundreds of warnings: State 0 for GtkMenuItem...
[Gtk 3.20] firefox prints hundreds of warnings: State 0 for GtkMenuItem...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
24
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-12 19:08 EST by Christian Stadelmann
Modified: 2016-03-22 04:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 04:59:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2016-03-12 19:08:52 EST
Version-Release number of selected component (if applicable):
firefox-45.0-4.fc24.x86_64

How reproducible:
just start firefox

Steps to Reproduce:
1. start firefox from terminal
2. watch output (cli)

Actual results:
hundreds of these warnings get printed:

Gtk-WARNING **: State 0 for GtkMenuItem 0xSOMEADDRESS doesn't match state 128 set via gtk_style_context_set_state ()

Expected results:
less output, no Gtk warnings

Additional info:
Doesn't happen on F23, only on F24
Comment 1 Christian Stadelmann 2016-03-12 19:17:13 EST
Oh, same stuff happens for GtkMenu, context, GtkButton, and probably some more instead of GtkMenuItem.
Comment 2 Martin Stransky 2016-03-14 04:04:04 EDT
Sure, we're working in this.
Comment 3 Martin Stransky 2016-03-22 04:59:58 EDT
Update is here - https://bodhi.fedoraproject.org/updates/FEDORA-2016-44d7ec40fd

Note You need to log in before you can comment on or make changes to this bug.